ppincl Module Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
ppincl Module Reference
Collaboration diagram for ppincl:

## Data Fields
integer | nmodmx
| maximal number of specific physics More...
integer, dimension(nmodmx), save | ippmod
| global indicator for speciphic physics By default, all the indicators ippmod(i.....) are initialised at -1, which means that no specific physics is activated. More...
integer | iphpar
| ippmod(iphpar) is a global indicator for the specific physics: More...
integer | icod3p
| pointer for speciphic physics More...
integer | icodeq
integer | icoebu
| pointer to specify Eddy Break Up pre-mixed flame with indicator ippmod(icoebu) More...
integer | icobml
integer | icolwc
| pointer to specify Libby-Williams pre-mixed flame withy indicator ippmod(icolwc) More...
integer | isoot
integer | ieljou
| pointer to specify Joule effect module (Laplace forces not taken into account) with indicator ippmod(ieljou): More...
integer | ielarc
| pointer to specify Electric arcs module (Joule effect and Laplace forces) with indicator ippmod(ielarc): More...
integer | ielion
integer | icpl3c
| pointer to specify Lagrangian modelling of multi-coals and multi-classes pulverised coal combustion with indicator ippmod(icpl3c). The number of different coals must be inferior or equal to ncharm = 3. The number of particle size classes nclpch(icha) for the coal icha, must be inferior or equal to ncpcmx = 10. More...
integer | iccoal
| pointer to specify multi-coals and multi-classes pulverised coal combustion with indicator ippmod(iccoal). The number of different coals must be inferior or equal to ncharm = 3. The number of particle size classes nclpch(icha) for the coal icha, must be inferior or equal to ncpcmx = 10. More...
integer | i_coal_drift
| coal with drift (0: without drift (default), 1: with) More...
integer | icfuel
| pointer to specify multi-classes pulverised heavy fuel combustion with indicator ippmod(icfuel) More...
integer | icompf
| pointer to specify compressible module with indicator ippmod(icompf) More...
integer | iatmos
| pointer to specify atmospheric flow module with indicator ippmod(iatmos) More...
integer | iaeros
integer, save | nsalpp
| number of variables for specific physic More...
integer, save | nsalto
| total number of variables More...
integer, save | ifm
| pointer to specify the mixing rate in isca(ifm) More...
integer, save | ifp2m
| pointer to specify the variance of the mixing rate in isca(ifp2m) More...
integer, save | iygfm
| pointer to specify the fresh gas mass fraction in isca(iygfm) More...
integer, save | icm
| the intersection computation mode. If its value is: More...
integer, save | icp2m
| tansported variable More...
integer, save | ifpcpm
| tansported variable More...
integer, save | iyfm
| tansported variable More...
integer, save | iyfp2m
| tansported variable More...
integer, save | icoyfp
| tansported variable More...
integer, dimension(ngazgm), save | iym
| mass fractions : More...
integer, dimension(ngazgm), save | ibym
integer, save | itemp
| state variable (temperature) More...
integer, save | ifmin
| state variable More...
integer, save | ifmax
| state variable More...
integer, save | ickabs
| state variable: absorption coefficient, when the radiation modelling is activated More...
integer, save | it3m
| state variable: term, when the radiation modelling is activated More...
integer, save | it4m
| state variable: term, when the radiation modelling is activated More...
integer, save | itsc
integer, save | inpm
| pointer for soot precursor number in isca (isoot = 1) More...
integer, save | ifsm
| pointer for soot mass fraction in isca (isoot = 1) More...
integer, dimension(ncharm), save | if1m
| mean value of the tracer 1 representing the light volatiles released by the coal icha More...
integer, dimension(ncharm), save | if2m
| mean value of the tracer 2 representing the heavy volatiles released by the coal icha More...
integer, save | if3m
| mean value of the tracer 3 representing the carbon released as CO during coke burnout More...
integer, save | if4m
| transported variable of countinuous phase (gas mixture) More...
integer, save | if5m
| transported variable of countinuous phase (gas mixture) More...
integer, save | if6m
| transported variable of countinuous phase (gas mixture) More...
integer, save | if7m
| transported variable of countinuous phase (gas mixture) More...
integer, save | if8m
| transported variable of countinuous phase (gas mixture) More...
integer, save | if9m
| transported variable of countinuous phase (gas mixture) More...
integer, save | if4p2m
| the variance associated with the tracer 4 representing the air (the mean value of this tracer is not transported, it can be deduced directly from the three others) More...
integer, save | ifvp2m
| transported variable of countinuous phase (gas mixture) More...
integer, save | if3mc2
| transported variable of countinuous phase (gas mixture) More...
integer, dimension(nclcpm), save | ixck
| coke mass fraction related to the class icla More...
integer, dimension(nclcpm), save | ixch
| reactive coal mass fraction related to the class icla More...
integer, dimension(nclcpm), save | inp
| number of particles of the class icla per kg of air-coal mixture More...
integer, dimension(nclcpm), save | ih2
| mass enthalpy of the coal of class icla, if we are in permeatic conditions More...
integer, dimension(nclcpm), save | ixwt
| transported variable of dispersed phase (particle class) More...
integer, dimension(nclcpm), save | iagecp_temp
| Pointer to x2*age(particles) and x1*age(gas phase) More...
integer, save | iaggas_temp
| Pointer to x2*age(particles) and x1*age(gas phase) More...
integer, dimension(ngazem), save | iym1
| mass fractions: More...
integer, save | itemp1
| temperature of the gas mixture More...
integer, save | irom1
| State variables of continuous phase (gas mixture) More...
integer, save | immel
| molar mass of the gas mixture More...
integer, dimension(nclcpm), save | itemp2
| temperature of the particles of the class icla More...
integer, dimension(nclcpm), save | irom2
| density of the particles of the class icla More...
integer, dimension(nclcpm), save | idiam2
| diameter of the particles of the class icla More...
integer, dimension(nclcpm), save | ix2
| solid mass fraction of the class icla More...
integer, dimension(nclcpm), save | igmdch
| disappearance rate of the reactive coal of the class icla More...
integer, dimension(nclcpm), save | igmhet
| coke disappearance rate of the coke burnout of the class icla More...
integer, dimension(nclcpm), save | ighco2
| State variables of dispersed phase (particles class) More...
integer, dimension(nclcpm), save | igmdv1
| mass transfer caused by the release of light volatiles of the class icla More...
integer, dimension(nclcpm), save | igmdv2
| mass transfer caused by the release of heavy volatiles of the class icla More...
integer, dimension(nclcpm), save | igmsec
| State variables of dispersed phase (particles class) More...
integer, save | ibcarbone
integer, save | iboxygen
integer, save | ibhydrogen
integer, save | ifvap
| transported variable of continuous phase More...
integer, dimension(nclcpm), save | ihlf
| transported variable of dispersed phase More...
integer, dimension(nclcpm), save | ixkf
| transported variable of dispersed phase More...
integer, dimension(nclcpm), save | ixfol
| transported variable of dispersed phase More...
integer, dimension(nclcpm), save | ing
| transported variable of dispersed phase More...
integer, dimension(nclcpm), save | iyfol
| state variable of continuous phase More...
integer, dimension(nclcpm), save | ih1hlf
| state variable of dispersed phase More...
integer, dimension(nclcpm), save | igmhtf
| state variable of dispersed phase More...
integer, dimension(nclcpm), save | igmeva
| state variable of dispersed phase More...
integer | ndimve
| dsize of "electrical" vectors More...
integer, save | ipotr
| real potential More...
integer, save | ipoti
| imaginary potential More...
integer, dimension(ndimve), save | ipotva
| components of magnetic vector potential More...
integer, dimension(ngazgm), save | iycoel
| constituent massic fraction More...
integer, save | iefjou
| volumetric power dissipated by Joule effect ( ) More...
integer, save | iqelec
| volumetric electrical charge ( ) More...
integer, dimension(ndimve), save | ilapla
| electromagetic Laplace force ( ) More...
integer, dimension(ndimve), save | idjr
| real intensity density ( ) More...
integer, dimension(ndimve), save | idji
| imaginary intensity density ( ) More...
integer, save | idrad
| absorption coefficient ( ) More...
integer | nesiom
integer | nespio
integer, dimension(nesiom), save | iymion
| transporded variable per species More...
integer, save | ienerg
| specific total energy for compressible algorithm More...
integer, save | itempk
| temperature deduced from the specific total energy More...
integer, save | icv
| additional property More...
integer, save | iviscv
| additional property: More...
integer, save | ieos
| indicates the equation of state. Only perfect gas with a constant adiabatic coefficient, ieos=1 is available, but the user can complete the subroutine cfther, which is not a user subroutine, to add new equations of state. More...
integer, save | irun
| alias for boundary conditions More...
integer, save | irunh
| alias for boundary conditions More...
double precision, save | cv0
| additional property More...
double precision, save | viscv0
| reference volume viscosity (noted in the equation expressing in the paragraph dedicated to iviscv) always useful, it is the used value, unless the user specifies the volume viscosity in the user subroutine uscfpv More...
integer, save | ippred
| pressure predicion by an evolution equation More...
integer, save | igrdpp
| indicates whether the pressure should be updated (=1) or not (=0) after the solution of the acoustic equation always usef More...
integer, save | icfgrp
| indicates if the boundary conditions should take into account (=1) or not (=0) the hydrostatic balance. More...
integer, save | itemp4
| pointer do define the air temperature in array isca(itemp4) More...
integer, save | ihumid
| pointer do define the air humidity in array isca(itemp4) More...
integer, save | ihm
| enthalpy, if transported More...
double precision, save | srrom
| with gas combustion, pulverised coal or the electric module, srrom is the sub-relaxation coefficient for the density, following the formula: hence, with a zero value, there is no sub-relaxation. With combustion and pulversied coal, srrom is initialised to -grand and the user must specify a proper value through the Interface or the initialisation subroutines (usd3p1, usebu1, uslwc1, uscpi1 or uscpl1). With the electric module, srrom is initialised in to 0 and may be modified by the user in useli1. With gas combustion, pulverised coal or electric arcs, ssrom is automatically used after the second time-step. With Joule effect, the user decides whether or not it will be used in uselph from the coding law giving the density. More...
integer, dimension(nozppm), save | iqimp
| imposed flow zone indicator in a way which is similar to the process described in the framework of the EBU module, the user chooses for every inlet face to impose the mass flow or not (iqimp(izone)=1 or 0). If the mass flow is imposed, the user must set the air mass flow value qimpat(izone), its direction in rcodcl(ifac,iu), rcodcl(ifac,iv) and rcodcl(ifac,iw) and the incoming air temperature timpat(izone) in Kelvin. If the velocity is imposed, he has to set rcodcl(ifac,iu), rcodcl(ifac,iv) and rcodcl(ifac,iw). More...
integer, dimension(nozppm), save | icalke
| condition type turbulence indicator More...
double precision, dimension(nozppm), save | xintur
| turbulent intensity (k=1.5(uref*xintur)**2) More...
double precision, dimension(nozppm), save | dh
| hydraulic diameter More...
integer, save | nozapm
| index of maximum reached boundary zone More...
integer, save | nzfppp
| number of boundary zones on current process More...
integer, dimension(nbzppm), save | ilzppp
| list of bondary zones index More...

The documentation for this module was generated from the following file:

- src/pprt/ppincl.f90